__PCI_RESET_FUNCTION(9)

NAME
__pci_reset_function - reset a PCI device function

SYNOPSIS

int __pci_reset_function(struct pci_dev * dev);

ARGUMENTS

dev
    PCI device to reset

DESCRIPTION

Some devices allow an individual function to be reset without affecting other functions in the same device. The PCI device must be responsive to PCI config space in order to use this function.

The device function is presumed to be unused when this function is called. Resetting the device will make the contents of PCI configuration space random, so any caller of this must be prepared to reinitialise the device including MSI, bus mastering, BARs, decoding IO and memory spaces, etc.

Returns 0 if the device function was successfully reset or negative if the device doesn't support resetting a single function.

COPYRIGHT